UPSCALE_ELASTICITY(1)

NAME
upscale_elasticity - Upscale elastic parameters

SYNOPSIS
upscale_elasticity [grid file] [option=value]

DESCRIPTION
Utility that generalizes Backus upscaling to general geometry. Elastic moduli specified on a cell-basis on corner-point grids can be upscaled to an elasticity tensor with possibly 21 independent components. The code simulates the 6 load conditions (three normal and three shear forces applied to the geometry) necessary for determining the elastic properties. Example usage: upscale_elasticity gridfilename=filename.grdecl rock_list=rocklist.txt output=outfilename.txt

OPTIONS
gridfilename Filename for grid file.
vtufilename Save results to vtu file for visual inspection. If not specified, vtu results are not saved.
rock_list A file with a list of one file per satnum specifying elastic properties for each rock type.
output Filename for which results are written in ASCII format. If not specified, output is not written to file.
method The kind of boundary couplings to use, can be 'mpc' or 'mortar'. Defaults to 'mortar' (best for non-perfect periodic grids).
Emin Minimum E (youngs) modulus. Used to avid numerical issues if contrasts in grid is too large. Defaults to 0.
ctol Collapse tolerance in grid parsing. Defaults to 1e-6.
ltol Tolerance in iterative linear solvers. Defaults to 1e-8.
linsolver_type Type of solver for linear system. Possibilities are 'iterative' and 'direct' (LU factorization). Default is 'iterative'.

REPORTING BUGS
Report on github repository <https://github.com/OPM/opm-upscaling/issues>